<?php

namespace FiloBlu\ShipmentEmailTrack\Helper;

use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Sales\Model\Order\Shipment\Track;
use Magento\Store\Model\ScopeInterface;

/**
 * Class Data
 * @package FiloBlu\ShipmentEmailTrack\Helper
 */
class Data extends AbstractHelper {
    /**
     * @param $config_path
     * @param string $section
     * @return mixed
     */
    public function getConfig($config_path, $section = 'filoblu_shipmenteemailtrack_section') {
        return $this->scopeConfig->getValue("{$section}/{$config_path}", ScopeInterface::SCOPE_STORE);
    }

    /**
     * @param Track $carrierItem
     * @return string|string[]
     */
    public function getTrackingNumberLink(Track $carrierItem) {
        $carriersArray = unserialize($this->getConfig('carrier_setting/carriers'));

        if ($carriersArray && count($carriersArray)) {
            foreach ($carriersArray as $carrier) {
                if (
                    (strtolower($carrier['carrier_code']) === 'custom' && strtolower($carrier['carrier_title']) === strtolower($carrierItem->getTitle())) ||
                    (strtolower($carrierItem->getCarrierCode() !== 'custom' && strtolower($carrier['carrier_code']) === strtolower($carrierItem->getCarrierCode())))
                ) {
                    return str_replace('##TRACKCODE##', $carrierItem->getNumber(), $carrier['base_url']);
                }
            }
        }

        return '#';
    }

}
